Package Details: dune-core 2.8.0-1

Git Clone URL: https://aur.archlinux.org/dune-core.git (read-only, click to copy)
Package Base: dune-core
Description: Metapackage to install modules of DUNE Numerics.
Upstream URL: https://dune-project.org
Keywords: fem pde science
Licenses: None
Submitter: lubgr
Maintainer: PrinceMachiavell (carlosal1015)
Last Packager: carlosal1015
Votes: 4
Popularity: 0.000001
First Submitted: 2016-07-21 10:41 (UTC)
Last Updated: 2021-10-26 03:42 (UTC)

Pinned Comments

carlosal1015 commented on 2021-09-30 01:33 (UTC) (edited on 2021-09-30 01:39 (UTC) by carlosal1015)

Hello dear dune-arch users, the package base dune-core is now like meta package.

Please post any suggestions, problems and improvements in the comment section with respect to dune-module. I will do my best to troubleshoot.

Important note: Is recommended to receive the following key before to install:

$ gpg --recv-keys 3F71FE0770D47FFB

Also is possible skip the verification, adding the flag for (e.g makepkg, yay) --skippgpcheck, --nopgpfetch, respectively.

Latest Comments

1 2 Next › Last »

carlosal1015 commented on 2021-09-30 01:33 (UTC) (edited on 2021-09-30 01:39 (UTC) by carlosal1015)

Hello dear dune-arch users, the package base dune-core is now like meta package.

Please post any suggestions, problems and improvements in the comment section with respect to dune-module. I will do my best to troubleshoot.

Important note: Is recommended to receive the following key before to install:

$ gpg --recv-keys 3F71FE0770D47FFB

Also is possible skip the verification, adding the flag for (e.g makepkg, yay) --skippgpcheck, --nopgpfetch, respectively.

carlosal1015 commented on 2021-07-11 21:02 (UTC) (edited on 2021-09-28 18:05 (UTC) by carlosal1015)

Hi @PrinceMachiavell, could you please look this PKGBUILD and the the log of installation https://git.io/JCfsL

What do you think about having only one PKGBUILD per each dune-module?

Good news: there will be a new release soon of dune

2021/7/30 DUNE 2.8.0rc1 ready for testing

2021/9/03 DUNE 2.8.0 is out.

Issue related with dune-grid Builds broken libdunealbertagrid3d.so - it isn't linked with alberta shared libraries

carlosal1015 commented on 2021-06-08 01:52 (UTC)

Nice solution @dan-ros, the next release will remove XDR support.

dan-ros commented on 2021-05-04 21:21 (UTC)

I guess the libtirpc issue can be fixed by replacing the line #cmakedefine HAVE_RPC_RPC_H 1 with #cmakedefine HAVE_RPC_RPC_H 0 in the file config.h.cmake before the build process.

See also: https://gitlab.dune-project.org/staging/dune-uggrid/-/issues/33

carlosal1015 commented on 2019-11-20 04:11 (UTC)

Hi @JoshH100, thank you very much. I installed without any problems dune-common.

I really want to learn mathematics with this program. I'll share the log of installation with us https://git.io/Je6JZ

PrinceMachiavell commented on 2019-11-14 17:44 (UTC)

@carlosal1015 Thanks for the notice. It seems that makepkg doesn't like that there is a function named 'package' in a split package PKGBUILD. I renamed the function to make_package and that seems to resolve the issue.

Let me know if there are any other issues... testing this kind of package is quite difficult.

carlosal1015 commented on 2019-11-11 04:59 (UTC)

Hi JoshH100, I hope could you help me. After the install all dependencies, i.e. 'cmake', 'gcc-fortran', 'openmpi', 'gmp', 'lapack', 'boost', 'superlu', 'suitesparse', 'parmetis', 'psurface'. I have the same result with dune-alugrid, dune-functions, dune-pddelab, dune-typtree and so on.

==> ERROR: Extra package() function for split package 'dune-core'

Thank you.

PrinceMachiavell commented on 2019-02-06 23:28 (UTC)

I've removed alberta since it seems to be abandoned and impossible to build currently. This means that neither the ug and alberta are usable as grid managers.

You'll probably need to uninstall all dune modules prior to building 2.6.0 otherwise CMAKE throws errors about needing modules. Chassing dependency circles is not fun.

Some of the other dune modules; alugrid, pdelab may not build ATM... If you find a git tag/commit # that builds I'm more than happy to pin them to those versions and create seperate -git suffix'ed versions to follow upstream.

franzf commented on 2018-05-24 11:04 (UTC)

I have the same problem as canelas.